#include <iostream.h>


//---------------------------------------  Base

class Base
{
//			Data members...
	private:
		short	baseMember;

//			Member functions...
	protected:
		void	SetBaseMember( short baseValue );
		short	GetBaseMember();
};

void	Base::SetBaseMember( short baseValue )
{
	baseMember = baseValue;
}

short	Base::GetBaseMember()
{
	return baseMember;
}


//---------------------------------------  Base:Derived

class Derived : public Base
{
//			Data members...
	private:
		short	derivedMember;

//			Member functions...
	public:
		void	SetMembers( short baseValue, 
							short derivedValue );
		void	PrintDataMembers();
};

void	Derived::SetMembers( short baseValue, 
							short derivedValue )
{
	derivedMember = derivedValue;
	SetBaseMember( baseValue );
}

void	Derived::PrintDataMembers()
{
	cout << "baseMember was set to "
		<< GetBaseMember() << '\n';
		
	cout << "derivedMember was set to "
		<< derivedMember << '\n';
}


//---------------------------------------  main()

int	main()
{
	Derived		*derivedPtr;
	
	derivedPtr = new Derived;
	
	derivedPtr->SetMembers( 10, 20 );
	
	derivedPtr->PrintDataMembers();
	
	return 0;
}